# OpenLayers.Layer.ArcIMS

Instances of OpenLayers.Layer.ArcIMS are used to display data from ESRI ArcIMS Mapping Services. Create a new ArcIMS layer with the OpenLayers.Layer.ArcIMS constructor.

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.ArcIMS | Instances of OpenLayers.Layer.ArcIMS are used to display data from ESRI ArcIMS Mapping Services.
Constants |
DEFAULT_PARAMS | {Object} Default query string parameters.
Properties |
tileSize | {OpenLayers.Size} Size for tiles.
featureCoordSys | {String} Code for feature coordinate system.
filterCoordSys | {String} Code for filter coordinate system.
layers | {Array} An array of objects with layer properties.
async | {Boolean} Request images asynchronously.
name | {String} Layer name.
isBaseLayer | {Boolean} The layer is a base layer.
Constants |
DEFAULT_OPTIONS | {Object} Default layers properties.
Constructor |
OpenLayers.Layer.ArcIMS | Create a new ArcIMS layer object.

### Constants

### DEFAULT_PARAMS

{Object} Default query string parameters.

### Properties

### tileSize

{OpenLayers.Size} Size for tiles. Default is 512x512.

### featureCoordSys

{String} Code for feature coordinate system. Default is “4326”.

### filterCoordSys

{String} Code for filter coordinate system. Default is “4326”.

### layers

{Array} An array of objects with layer properties.

### async

{Boolean} Request images asynchronously. Default is true.

### name

{String} Layer name. Default is “ArcIMS”.

### isBaseLayer

{Boolean} The layer is a base layer. Default is true.

### Constants

### DEFAULT_OPTIONS

{Object} Default layers properties.

### Constructor

### OpenLayers.Layer.ArcIMS

Create a new ArcIMS layer object.

#### Example

>     var arcims = new OpenLayers.Layer.ArcIMS(
>         "Global Sample",
>         "http://sample.avencia.com/servlet/com.esri.esrimap.Esrimap",
>         {
>             service: "OpenLayers_Sample",
>             layers: [
>                 // layers to manipulate
>                 {id: "1", visible: true}
>             ]
>         }
>     );

#### Parameters

name | {String} A name for the layer
url | {String} Base url for the ArcIMS server
options | {Object} Optional object with properties to be set on the layer.

Instances of this class represent a width/height pair
Create a new ArcIMS layer object.
Base class for layers that use a lattice of tiles.
Close